/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:getgrnam.c 12.0$ */
/* $ACIS:getgrnam.c 12.0$ */
/* $Source: /ibm/acis/usr/src/lib/libc/gen/RCS/getgrnam.c,v $ */

#ifndef VFS
#ifndef lint
static char *rcsid = "$Header:getgrnam.c 12.0$";
#endif

#include <sys/nfs_defines.h>

#if defined(LIBC_SCCS) && !defined(lint)
static char sccsid[] = "@(#)getgrnam.c	5.2 (Berkeley) 3/9/86";
#endif LIBC_SCCS and not lint

#include <grp.h>

struct group *
getgrnam(name)
register char *name;
{
	register struct group *p;
	struct group *getgrent();

	setgrent();
	while( (p = getgrent()) && strcmp(p->gr_name,name) );
	endgrent();
	return(p);
}
#endif !VFS
